xable.net

Discussion Forums

You are not logged in.

Announcement

There will be one final update to see out XP, when I cannot say for sure but there will definatly be another update.

I have recently upgraded to W7 and found it to be full of silly yet seriously restrictive usability regressions. I will most definitely miss XP, microsoft seem to have forgoten it's the little things that make all the difference.

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/xable/xable.net/forums/include/parser.php on line 821

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/xable/xable.net/forums/include/parser.php on line 821

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/xable/xable.net/forums/include/parser.php on line 821

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/xable/xable.net/forums/include/parser.php on line 821

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/xable/xable.net/forums/include/parser.php on line 821

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/xable/xable.net/forums/include/parser.php on line 821

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/xable/xable.net/forums/include/parser.php on line 821

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/xable/xable.net/forums/include/parser.php on line 821

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/xable/xable.net/forums/include/parser.php on line 821

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/xable/xable.net/forums/include/parser.php on line 821

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/xable/xable.net/forums/include/parser.php on line 821

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/xable/xable.net/forums/include/parser.php on line 821

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/xable/xable.net/forums/include/parser.php on line 821

#1 23-11-08 14:13

Darren
(aka xable)

Foxit Reader v2.3.2008.2923

Foxit Reader is a lightweight PDF viewer.

Changelog
23/11/2008 - Updated Foxit to v2.3 Build 2923 and JPEG2000/JBIG Decoder to v2.0.2008.715
17/05/2007 - Updated to v2.0 Build 1606 and added all Critical Upates
21/04/2006 - Updated to v1.3 Build 1621 and added reg to disable the ads (thanks to Lemonzest)
23/03/2006 - Updated to v1.3 Build 1522
10/03/2006 - Updated to v1.3 Build 1413
06/01/2006 - Updated to v1.3 Build 0104
11/12/2005 - Updated to v1.3 Build 1209
07/12/2005 - Now installs as default .PDF reader
06/12/2005 - Updated to v1.3 Build 1130
26/11/2005 - Optimised how the shortcut gets created. Also added a second Foxit addon which includes Eastern Asian Language Support.
13/11/2005 - Updated to v1.3 Build 1111
01/11/2005 - First Release

Download
xable_Foxit-v3.1_addon.cab
SIZE = 5.54 MB
MD5 = A4D8F932420FA3F68118657581326434

Offline

23-11-08 14:13

Advertisement

Re: Foxit Reader v2.3.2008.2923




Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/xable/xable.net/forums/include/parser.php on line 821

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/xable/xable.net/forums/include/parser.php on line 821

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/xable/xable.net/forums/include/parser.php on line 821

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/xable/xable.net/forums/include/parser.php on line 821

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/xable/xable.net/forums/include/parser.php on line 821

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/xable/xable.net/forums/include/parser.php on line 821

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/xable/xable.net/forums/include/parser.php on line 821

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/xable/xable.net/forums/include/parser.php on line 821

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/xable/xable.net/forums/include/parser.php on line 821

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/xable/xable.net/forums/include/parser.php on line 821

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/xable/xable.net/forums/include/parser.php on line 821

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/xable/xable.net/forums/include/parser.php on line 821

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/xable/xable.net/forums/include/parser.php on line 821

#2 25-01-09 03:33

ultravy
Member

Re: Foxit Reader v2.3.2008.2923

Foxit Reader v3 is out
http://www.foxitsoftware.com/downloads/

and thanks for all your work wink

Offline

#3 25-01-09 06:43

Darren
(aka xable)

Re: Foxit Reader v2.3.2008.2923

Hi ultravy, I`ve not updated to v3 because it doesn`t let you disable the adverts wink

v2.3 Build 2923 is the last build that does.

Offline

#4 18-06-12 22:21

coolkips
Member

Re: Foxit Reader v2.3.2008.2923

Please update to the latest version...

Offline

#5 19-06-12 15:30

Darren
(aka xable)

Re: Foxit Reader v2.3.2008.2923

See above post...

Offline

#6 20-06-12 22:48

panos
Member

Re: Foxit Reader v2.3.2008.2923

I am using version 4.3.1.0323 which lets you disable advertisements and has updated security features to prevent PDFs from running programs. Later versions are just as secure as 4.3 but they introduced a new UI which users didn't like.

Offline

#7 07-10-12 05:11

Darren
(aka xable)

Re: Foxit Reader v2.3.2008.2923

Ok thanks panos I'll check it out. Still using 2.3 here.

Offline

Board footer